'use strict';

var index = require('./index-DSiE2De_.js');

const NdsChipUsage = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.isSelected = false;
    }
    render() {
        return (index.h("div", { key: '75ae4c5e9426c7063f39a3e5e6f1a341b0d74ac7' }, index.h("h1", { key: '95700717b596cba229cc1c3134f55f38bbe17253' }, "Chip Example"), index.h("div", { key: '52414ad9825dcdd7d2c1af2536e098013f1b001a', style: { padding: '50px', display: 'flex', gap: '20px' } }, index.h("div", { key: '7dfe948b71b18385fec161a6e6f040350cff69f2', style: { display: 'flex', flexDirection: 'column', gap: '20px' } }, index.h("nds-chip", { key: '9c438dd82a3f67f6bc5d4fdd55bbd72ec7609e7a', label: "Label", variant: "neutral",
            //   outlined={false}
            rounded: false, size: "lg" }), index.h("nds-chip", { key: 'f5466dec0ba9848b612ce685b70f8f266d7c2017', label: "Label", variant: "success", rounded: false, size: "lg", onChange: isSelected => {
                console.log(isSelected, 'hi');
                this.isSelected = isSelected;
            }, selected: this.isSelected }), index.h("nds-chip", { key: '2e7275eb1fcdf9a571f9def3503b7a44549a9da0', label: "Label", variant: "success", rounded: false, size: "lg", onChange: isSelected => {
                console.log(isSelected, 'hi');
            }, selected: false }), index.h("nds-chip", { key: 'e12f5d750c09dfbb5939920a4856a87edffcfce3', label: "Label", variant: "success", rounded: false, size: "lg", disabled: true }), index.h("div", { key: '5c1da7b3de2c92e937209bb0177ddd630f486504', style: { display: 'flex', flexDirection: 'column', gap: '20px', backgroundColor: '#074D31' } }, index.h("nds-chip", { key: 'f2f9f3cc761d54d37dcb6431bf1aae5917ddb8b2', label: "Label", variant: "on-color", rounded: true, size: "lg", disabled: true }))))));
    }
};

exports.nds_chip_usage = NdsChipUsage;
